<?php
/**
 * emlog pro 免费版
 * EMLOG PRO FREE (www.emlog.net.cn)
 * https://emlog.vip/thread-66-1-1.html
 * 2022-06-06 06:06:18
 */

header('Content-Type: text/html; charset=UTF-8');

const EMLOG_ROOT = __DIR__;
const EMLOG_NET = 'https://www.emlog.net/';
const EMLOG_NET_CN = 'https://www.emlog.net.cn/';

$act = isset($_GET['action']) ? $_GET['action'] : '';

function W($content) {
	$content = str_replace('www.', '', $content);
	return $content;
}

function WLOG($log) {
	$open = fopen('emlogvip-' . date("Y-m-d-H-i-s") . '.txt', 'a');
	fwrite($open, $log . EMLOG_NET_CN);
	fclose($open);
}

function EMLOG_FREE_FILE($path, $search, $replace) {
	$empath = EMLOG_ROOT . '/' . $path;
	if (file_exists($empath)) {
		$content = file_get_contents($empath);
		if ($replace == 'sha1_file') {
			$replace = sha1_file(EMLOG_ROOT . '/include/lib/emcurl.php');
		}
		$content = str_replace($search, $replace, $content, $count);
		$log = $count . ' | ' . $path;
		if ($count > 0) {
			file_put_contents($empath, $content);
		}
	} else {
		$log = 'file does not exist | ' . $path;
	}
	return $log;
}

function EMLOG_FREE() {
$pro = [
	[
		'path' => 'init.php',
		'search' => EMLOG_NET,
		'replace' => EMLOG_NET_CN
	],
	[
		'path' => 'admin/index.php',
		'search' => EMLOG_NET,
		'replace' => EMLOG_NET_CN
	],
	[
		'path' => 'admin/globals.php',
		'search' => EMLOG_NET,
		'replace' => EMLOG_NET_CN
	],
	[
		'path' => 'admin/store.php',
		'search' => EMLOG_NET,
		'replace' => EMLOG_NET_CN
	],
	[
		'path' => 'admin/upgrade.php',
		'search' => EMLOG_NET,
		'replace' => EMLOG_NET_CN
	],
	[
		'path' => 'admin/views/index.php',
		'search' => W(EMLOG_NET) . 'register',
		'replace' => EMLOG_NET_CN . 'register'
	],
	[
		'path' => 'admin/views/auth.php',
		'search' => EMLOG_NET . 'register',
		'replace' => EMLOG_NET_CN . 'register'
	],
	[
		'path' => 'include/model/store_model.php',
		'search' => EMLOG_NET,
		'replace' => EMLOG_NET_CN
	],
	[
		'path' => 'include/lib/register.php',
		'search' => EMLOG_NET,
		'replace' => EMLOG_NET_CN
	],
	[
		'path' => 'include/lib/emcurl.php',
		'search' => '1ca2f71c0b27a1c6dbbf1583dc4d4e422b0683ac',
		'replace' => 'e85bbcc0ad7576354dd71bef6779474e3a2aed93'
	],
	[
		'path' => 'include/lib/function.base.php',
		'search' => '1ca2f71c0b27a1c6dbbf1583dc4d4e422b0683ac',
		'replace' => 'e85bbcc0ad7576354dd71bef6779474e3a2aed93'
	],
	[
		'path' => 'include/lib/function.base.php',
		'search' => '0f85f470fdd9032ff164f50141771e0ba47d0015',
		'replace' => 'sha1_file'
	]
];
	foreach ($pro as $key => $vale) {
		$log .= EMLOG_FREE_FILE($vale['path'], $vale['search'], $vale['replace']) . "\r\n";
	};
	return $log;
}

if ($act === 'free') {
	WLOG(EMLOG_FREE());
}

?>
<!DOCTYPE HTML>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=Edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>EMLOG PRO 免费版</title>
        <style>
            <!--
            body {
                background-color: #F7F7F7;
                font-family: Arial;
                font-size: 12px;
                line-height: 250%;
            }

            .main {
                background-color: #FFFFFF;
                color: #666666;
                width: 730px;
                margin: 100px auto;
                padding: 10px;
                list-style: none;
                border: #DFDFDF 1px solid;
            }

            #ver {
                font-size: 18px;
                text-align: center;
            }

            .iteam {
                font-size: 18px;
                font-weight: bold;
                color: #666666;
                border-bottom: #CCCCCC 1px solid;
                padding: 10px;
            }

            li {
                list-style: none;
            }
            -->
        </style>
    </head>
<body>
    <div class="main">
	<?php if (!$act) { ?>
        <p id="ver">EMLOG PRO 免费版</p>
        <div>
            <p class="iteam">说明</p>
            <ul style="color:#FF0000;">
                <li>1、操作之前，务必对站点全部的文件进行备份</li>
                <li>2、升级成功后，进入网站后台，系统 > 数据 > 更新缓存</li>
                <li>3、刷新浏览器，输入注册码：emlog.vip，然后就可以免费使用全部功能，包括在线更新、应用商店等
				</li>
            </ul>
            <form name="form1" method="post" action="emlogvip.php?action=free">
                <p class="iteam">操作</p>
                <ul style="font-size:14px;">
                    <li>
                        <input type="submit" class="submit" value="开始升级">
                    </li>
                </ul>
            </form>
        </div>
	<?php } if ($act === 'free') { ?>
		<p><p style="font-size:24px; border-bottom:1px solid #E6E6E6; padding:10px 20px;">恭喜！升级成功了!</p><p style="color:red; margin:10px 20px;">请删除根目录文件：emlogvip.php</p> <p style="text-align:right;"><a href="./admin/" style="color:#999999; margin-right:10px;">登录后台</a></p></p>
	<?php } ?>
    </div>
</body>
</html>